Subject: Re: [GIT PULL/NEXT] sched/arch: Introduce the finish_arch_post_lock_switch() scheduler callback

From: Ingo Molnar <[email-masked]>
Date: Tue, 13 Mar 2012 14:02:50 +0100

* Russell King <[email-masked]> wrote:

> On Tue, Mar 13, 2012 at 01:20:53PM +0100, Ingo Molnar wrote:
> > 
> > * Russell King <[email-masked]> wrote:
> > 
> > > Why am _I_ responsible for which kernel version _Catalin_ used 
> > > for _his_ patches when _he_ committed them?
> > 
> > If you then pull that tree from him and push it out to 
> > linux-next? Then *of course* you are responsible, it was your 
> > decision to pull it.
> > 
> > I frequently reject pulls from subsystem maintainers on similar 
> > (and sometimes lesser) grounds - because such mistakes tend to 
> > compound with time.
> > 
> > The thing is, if you do Git pulls from someone then you must be 
> > absolutely anal about it, because you cannot really fix things 
> > up after the fact. The people you pull from must be your 
> > extended arms, they must be doing an equal or better job than 
> > you. That gives a basis of trust.
> > 
> > Once that is established, you can be permissive about mistakes. 
> > 
> > But arguing that you are not responsible for what you pull is 
> > absolutely grotesque and establishes a new low for this 
> > discussion really...
> > 
> > Also, as I told you in the very first mail, I am *fine* with 
> > this having happened, so you having zapped the commits is 
> > indefensible IMO. Mistakes do happen and the patch is fine 
> > technically and sfr and Linus could have handled the trivial 
> > conflict. What I suggested was to do it a bit better in the 
> > future. Is that too much to ask for?
> > 
> > > You're insane.  Totally.
> > 
> > I think you owe me an apology :-(
> 
> I owe you nothing.  From where I stand, I did nothing wrong.

Well, even ignoring the arguments you hurled several ad hominems 
at me while I wrote none.

Thanks,

	Ingo